Liblinphone: SignalInformation

Liblinphone 5.3.0

Typedefs | Enumerations | Functions
SignalInformation

## Typedefs
typedef enum _LinphoneSignalType | LinphoneSignalType
| All signal types that a device can use.
typedef enum _LinphoneSignalStrengthUnit | LinphoneSignalStrengthUnit
| All signal units that a device can use.

## Enumerations
enum | _LinphoneSignalType { LinphoneSignalTypeWifi = 0 , LinphoneSignalTypeMobile = 1 , LinphoneSignalTypeOther = 2 }
| All signal types that a device can use.
enum | _LinphoneSignalStrengthUnit { LinphoneSignalStrengthUnitRssi = 0 , LinphoneSignalStrengthUnitDbm = 1 }
| All signal units that a device can use.

## Functions
LinphoneSignalInformation * | linphone_signal_information_clone (const LinphoneSignalInformation *signalInformation)
| Clone the given signalInformation.
LinphoneSignalInformation * | linphone_signal_information_ref (LinphoneSignalInformation *signalInformation)
| Take a reference on a LinphoneSignalInformation.
void | linphone_signal_information_unref (LinphoneSignalInformation *signalInformation)
| Release a LinphoneSignalInformation.
float | linphone_signal_information_get_strength (LinphoneSignalInformation *signalInformation)
| Get the value of the LinphoneSignalInformation.
void | linphone_signal_information_set_value (LinphoneSignalInformation *signalInformation, float value)
| Set a new value to a LinphoneSignalInformation.
LinphoneSignalType | linphone_signal_information_get_signal_type (LinphoneSignalInformation *signalInformation)
| Get the LinphoneSignalType of the LinphoneSignalInformation.
void | linphone_signal_information_set_signal_type (LinphoneSignalInformation *signalInformation, LinphoneSignalType type)
| Set a new LinphoneSignalType to a LinphoneSignalInformation.
LinphoneSignalStrengthUnit | linphone_signal_information_get_signal_unit (LinphoneSignalInformation *signalInformation)
| Get the LinphoneSignalStrengthUnit value of the LinphoneSignalInformation.
void | linphone_signal_information_set_signal_unit (LinphoneSignalInformation *signalInformation, LinphoneSignalStrengthUnit unit)
| Set a new LinphoneSignalStrengthUnit to a LinphoneSignalInformation.

## Detailed Description

## Function Documentation

## ◆ linphone_signal_information_clone()

LinphoneSignalInformation * linphone_signal_information_clone | ( | const LinphoneSignalInformation * | signalInformation | ) |

Clone the given signalInformation.

Parameters

  signalInformation | The given signalInformation.

Returns
  A new signalInformation with exactly same informations that param.

## ◆ linphone_signal_information_get_signal_type()

LinphoneSignalType linphone_signal_information_get_signal_type | ( | LinphoneSignalInformation * | signalInformation | ) |

Get the LinphoneSignalType of the LinphoneSignalInformation.

Parameters

  signalInformation | The LinphoneSignalInformation object.

Returns
  A LinphoneSignalType.

## ◆ linphone_signal_information_get_signal_unit()

LinphoneSignalStrengthUnit linphone_signal_information_get_signal_unit | ( | LinphoneSignalInformation * | signalInformation | ) |

Get the LinphoneSignalStrengthUnit value of the LinphoneSignalInformation.

Parameters

  signalInformation | The LinphoneSignalInformation object.

Returns
  A LinphoneSignalStrengthUnit.

## ◆ linphone_signal_information_get_strength()

float linphone_signal_information_get_strength | ( | LinphoneSignalInformation * | signalInformation | ) |

Get the value of the LinphoneSignalInformation.

Parameters

  signalInformation | The LinphoneSignalInformation object.

Returns
  A float containing the value.

## ◆ linphone_signal_information_ref()

LinphoneSignalInformation * linphone_signal_information_ref | ( | LinphoneSignalInformation * | signalInformation | ) |

Take a reference on a LinphoneSignalInformation.

Parameters

  signalInformation | The LinphoneSignalInformation object.

Returns
  the same LinphoneSignalInformation object.

## ◆ linphone_signal_information_set_signal_type()

void linphone_signal_information_set_signal_type | ( | LinphoneSignalInformation * | signalInformation,
|  | LinphoneSignalType | type )

Set a new LinphoneSignalType to a LinphoneSignalInformation.

Parameters

  signalInformation | The LinphoneSignalInformation object.
  type | The new LinphoneSignalType to set.

## ◆ linphone_signal_information_set_signal_unit()

void linphone_signal_information_set_signal_unit | ( | LinphoneSignalInformation * | signalInformation,
|  | LinphoneSignalStrengthUnit | unit )

Set a new LinphoneSignalStrengthUnit to a LinphoneSignalInformation.

Parameters

  signalInformation | The LinphoneSignalInformation object.
  unit | The new LinphoneSignalStrengthUnit to set.

## ◆ linphone_signal_information_set_value()

void linphone_signal_information_set_value | ( | LinphoneSignalInformation * | signalInformation,
|  | float | value )

Set a new value to a LinphoneSignalInformation.

Parameters

  signalInformation | The LinphoneSignalInformation object.
  value | a float containing the new value to set.

## ◆ linphone_signal_information_unref()

void linphone_signal_information_unref | ( | LinphoneSignalInformation * | signalInformation | ) |

Release a LinphoneSignalInformation.

Parameters

  signalInformation | The LinphoneSignalInformation object.